> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Antwoord Aanmaken

> De AI zal acties uitvoeren zoals zoeken en bladeren door webpagina's om het antwoord op de gegeven taak te vinden. De uitvoeringstijd is 3-30s afhankelijk van de complexiteit.  Voor langere taken, gebruik in plaats daarvan het agent endpoint. Zie [Agent functie](/features/agents). Zie [Antwoorden functie](/features/answers).



## OpenAPI

````yaml nl/openapi/answers.json POST /v1/answers
openapi: 3.0.3
info:
  title: Antwoorden API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/answers:
    post:
      summary: Antwoord Aanmaken
      description: >-
        De AI zal acties uitvoeren zoals zoeken en bladeren door webpagina's om
        het antwoord op de gegeven taak te vinden. De uitvoeringstijd is 3-30s
        afhankelijk van de complexiteit.  Voor langere taken, gebruik in plaats
        daarvan het agent endpoint. Zie [Agent functie](/features/agents). Zie
        [Antwoorden functie](/features/answers).
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                task:
                  type: string
                  description: De taak die uitgevoerd moet worden.
                json_format:
                  type: object
                  description: >-
                    Het gewenste output JSON object met lege waarden als een
                    schema, of beschrijf simpelweg de data die je wilt als een
                    string.
              required:
                - task
      responses:
        '200':
          description: Succesvolle respons met het antwoord.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                  created:
                    type: integer
                  metadata:
                    type: object
                  task:
                    type: string
                  result:
                    type: object
                    properties:
                      json_content:
                        type: string
                      json_hosted_url:
                        type: string
        '400':
          description: Foute Aanvraag (Ontbrekende Taak)
        '402':
          description: Ongeldige API Sleutel
        '500':
          description: Interne Serverfout
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Bearer authenticatie header in de vorm Bearer <token>, waarbij <token>
        jouw auth token is.

````